#!/bin/bash
function help() {
	echo "****************************************************"
	echo "usage: ./HDEncoderRun.sh DEBUG START-UP MODE"
	echo "valid DEBUGs: debug, release"
	echo "valid START-UP MODEs: normal,auto(for boot up)"
	echo "****************************************************"
}
path="/usr/local/EncodeApp/"
script="HDEncoderRun.sh"

export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$path/lib

#judge is HDEncoderRun.sh is running
ps_list=`ps -ef`
ps_count=`echo "$ps_list"|grep -w "$script"|grep -v "grep"|wc -l`
if [ $ps_count -gt 1 ]; then
	echo "this process is running! we can't run this process again"
	exit
fi

if [ $# != 2 ]; then
	echo "the args num is $#, please set valid args!!!"
	help
	exit 1
fi

#judge the params is valid
valid_debug=0
valid_mode=0
if [ $1 == "debug" -o $1 == "release" ]; then
	valid_debug=$1
fi
if [ $2 == "normal" -o $2 == "auto" ]; then
	valid_mode=$2
fi
if [ $valid_debug == 0 -o $valid_mode == 0 ]; then
	echo "valid_debug = $valid_debug, valid_mode = $valid_mode"
	help
	exit 1
fi

#judge the program is running
release=$path"EightStreamEncodeAndShow"
debug=$release"D"
isRunRelease=`ps -ef |grep -w $release |grep -v grep`
isRunDebug=`ps -ef |grep -w $debug |grep -v grep`
if [ ! "$isRunRelease" -a ! "$isRunDebug" ]; then
	echo "start app,please wait ..."
else
	echo "runing.....$isRunRelease   $isRunDebug"
	exit
fi
cd $path
#judge is the auto or normal start
if [ $2 == "auto" ]; then
	echo "============= sleep 5 for auto start ========================="
	modprobe videobuf2-v4l2
	modprobe videodev
	modprobe videobuf2-common
	modprobe videobuf2-memops
	modprobe v4l2-dv-timings
	insmod ./v4l2-pci-skeleton.ko
	sleep 5;
elif [ $2 == "normal" ]; then
	echo "============= no sleep normal run ========================="
fi

# start app program
if [ $1 == "debug" ]; then
	echo "start debug ..."
	$debug
elif [ $1 == "release" ]; then
	echo "start release ..."
	$release
fi

