#!/bin/bash

function help() {
        echo "./upgrade_app.sh"
}

#-------------------------------kill app------------------------------------
ps -ef |grep EightStreamEncodeAndShow |grep -v grep|awk '{print $2}' |xargs kill -9
#-------------------------------kill app------------------------------------

sleep 1s

workPath="/usr/local/EncodeApp/"
if [ ! -d "$workPath" ]; then
        echo "$workPath is not exit!";
        exit;
fi

#-------------------------------copy mediasdk lib------------------------------------
if [ -d "mediasdk_lib" ]; then
	if [ -f "mediasdk_lib/libmfxhw64.so.1" ]; then
		cp mediasdk_lib/libmfxhw64.so.1 /usr/local/EncodeApp/lib/ 
	fi
	if [ -f "mediasdk_lib/libmfx.so.1" ]; then
		cp mediasdk_lib/libmfx.so.1 /usr/local/EncodeApp/lib/ 
	fi
fi
#-------------------------------copy mediasdk lib------------------------------------

if [ -d "lib" ]; then
	if [ -f "lib/librtmp.so.0" ]; then
		cp lib/librtmp.so.0 /usr/local/EncodeApp/lib/
	fi
fi

echo "********************************************************************"
echo "upgrade config EightStreamEncodeAndShow img log boom run.sh v4l2-pci-skeleton.ko"
echo "********************************************************************"
if [ -d "config" ]; then
	if [ -d "/usr/local/EncodeApp/config" ]; then
		if [ -f "config/encoder_parameter_config_h264_cbr.xml" ]; then
			cp config/encoder_parameter_config_h264_cbr.xml /usr/local/EncodeApp/config/;
		fi
		if [ -f "config/encoder_parameter_config_h264_ibr.xml" ]; then
			cp config/encoder_parameter_config_h264_ibr.xml /usr/local/EncodeApp/config/;
		fi
		if [ -f "config/encoder_parameter_config_h265.xml" ]; then
			cp config/encoder_parameter_config_h265.xml /usr/local/EncodeApp/config/;
		fi
		if [ -f "config/global_setting_config.xml" ]; then
			cp config/global_setting_config.xml /usr/local/EncodeApp/config/;
		fi
		if [ -f "config/channel_setting_config.xml" ]; then
			cp config/channel_setting_config.xml /usr/local/EncodeApp/config/;
		fi
		if [ -f "config/encoder_parameter_config.xml" ]; then
			cp config/encoder_parameter_config.xml /usr/local/EncodeApp/config/;
		fi
		if [ -f "config/password.bin" ]; then
			cp config/password.bin /usr/local/EncodeApp/config/;
		fi
		if [ -f "config/version.txt" ]; then
			cp config/version.txt /usr/local/EncodeApp/config/;
		fi
		if [ ! -f "/usr/local/EncodeApp/config/start_pid.txt" ]; then
			if [ -f "config/start_pid.txt" ]; then
				cp config/start_pid.txt /usr/local/EncodeApp/config/;
			fi
		fi
	else
		echo "/usr/local/EncodeApp/config is not exit!"
		cp -r config /usr/local/EncodeApp/;
	fi
fi

if [ -f "EightStreamEncodeAndShow" ]; then
	cp EightStreamEncodeAndShow /usr/local/EncodeApp/;
fi

if [ -f "EightStreamEncodeAndShowD" ]; then
	cp EightStreamEncodeAndShowD /usr/local/EncodeApp/;
fi

if [ -d "img" ]; then
	cp -r img /usr/local/EncodeApp/;
fi

if [ -d "station" ]; then
	cp -r station /usr/local/EncodeApp/;
fi

if [ -f "v4l2-pci-skeleton.ko" ]; then
	cp v4l2-pci-skeleton.ko /usr/local/EncodeApp/;
fi

# copy HD Encoder png
if [ -f "HDEncoder.png" ]; then
	cp HDEncoder.png /usr/local/EncodeApp/HDEncoder.png
fi

# copy HD Encoder to Desktop
if [ -f "EncodeRun.sh.desktop" ]; then
	cp EncodeRun.sh.desktop /root/Desktop/EncodeRun.sh.desktop
	chmod +x /root/Desktop/EncodeRun.sh.desktop
fi

# copy HDEncoderRun.sh.desktop to autostart
if [ -f "HDEncoderRun.sh.desktop" ]; then
	cp HDEncoderRun.sh.desktop /root/.config/autostart/HDEncoderRun.sh.desktop
fi

# copy HDEncoderRun.sh to /usr/local/Encode
if [ -f "HDEncoderRun.sh" ]; then
	cp HDEncoderRun.sh /usr/local/EncodeApp/HDEncoderRun.sh
	chmod +x /usr/local/EncodeApp/HDEncoderRun.sh
fi

ls -al /usr/local/EncodeApp/;
